> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Specific Refund

Retrieves a specific Refund. There are two supported methods for an API call:

* [**Refunds** Endpoint](Create_a_refund#section_d44_3v2_gsb)
* [**Transactions** Endpoint](Create_a_refund#section_nnt_vv2_gsb)

**Note:** Existing merchants can continue using **Transactions** endpoint. New merchants are encouraged to use **Refunds** endpoint.

## Refunds Endpoint

## HTTP Request

`GET https://api.vindicia.com/refunds/:refund`

## Route (URL) Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| refund | n/a | The **id** or the **vid** of the Refund to retrieve | Yes |

## Query Parameters

None.

## Accepts

None.

## Returns

JSON - A full [Refund](Refunds) object.

## Example Request

```

curl -X GET \
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \ 
"https://api.staging.us-west.vindicia.com/refunds/refund_1234"
```

## Transactions Endpoint

## HTTP Request

`GET https://api.vindicia.com/transactions/:transaction/refunds/:refund`

## Route (URL) Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| transaction | n/a | The **id** or the **vid** of the Transaction to retrieve | Yes |
| refund | n/a | The **id** or the **vid** of the Refund to retrieve | Yes |

## Query Parameters

None.

## Accepts

None.

## Returns

JSON - A full [Refund](Refunds) object.

## Example Request

```

curl -X GET \
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \ 
"https://api.staging.us-west.vindicia.com/transactions/tx_1234/refunds/refund_1234"
```

**Parent topic:**[Refunds](../topics/Refunds)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.